<?php
/**
 * Back To Top settings
 */

$wp_customize->add_section(
	'blog_talk_back_to_top_section',
	array(
		'title' => esc_html__( 'Scroll Up ( Back To Top )', 'blog-talk' ),
		'panel' => 'blog_talk_theme_options_panel',
	)
);

// Scroll to top enable setting.
$wp_customize->add_setting(
	'blog_talk_enable_scroll_to_top',
	array(
		'default'           => true,
		'sanitize_callback' => 'blog_talk_sanitize_checkbox',
	)
);
$wp_customize->add_control(
	new Blog_Talk_Toggle_Checkbox_Custom_control(
		$wp_customize,
		'blog_talk_enable_scroll_to_top',
		array(
			'label'    => esc_html__( 'Enable scroll to top.', 'blog-talk' ),
			'settings' => 'blog_talk_enable_scroll_to_top',
			'section'  => 'blog_talk_back_to_top_section',
			'type'     => 'checkbox',
		)
	)
);
